:root {
  --primary-color: #f9a11c;
  --second-color: #f4f4f4;
  --sub-color: #7b3917;
  --text-color: #777777;
  --third-color: #555555;
  --primary-font: 'Open Sans', sans-serif;
  --second-font: 'Nunito', sans-serif;
}

html {
  font-size: 62.5%;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
}

body {
  line-height: 1;
  font-size: 1.6rem;
  width: 100%;
  height: 100%;
  font-family: var(--primary-font);
  color: var(--text-color);
  font-size: 1.6rem;
}

button {
  cursor: pointer;
}

.wrapper {
  max-width: 1140px;
  padding: 0 1.5rem;
  margin: 0 auto;
}

.wrap-banner {
  /* height: 100dvh; */
  width: 100%;
}

.intro,
.service {
  padding: 6rem 0;
  background-color: var(--second-color);
}

.intro-wrap {
  display: flex;
}

.intro-image {
  width: 40%;
}

.intro-body {
  width: 60%;
  margin-left: 2rem;
}

.intro-image img {
  border-radius: 1.5rem;
  height: 100%;
  object-fit: cover;
}

.intro-title,
.intro-text {
  text-align: center;
  font-family: var(--second-font);
  color: var(--third-color);
}

.intro-title__custom,
.intro-text {
  text-align: start;
}

.intro-title {
  font-size: 3rem;
  margin-bottom: 2rem;
  color: black;
  font-weight: 600;
  line-height: 1.2;
}

.intro-title:not(:first-child) {
  margin-top: 3rem;
}

.intro-text {
  line-height: 1.7;
  margin-top: 0.5rem;
}

.about {
  padding: 6rem 0 0;
  background-color: #f9a11c17;
}

.about-wrap {
  display: flex;
}

.about-body {
  width: 60%;
  display: flex;
  align-items: center;
}

.about-content {
  /* background-color: #f9a11c5c;
  padding: 3rem 1.5rem;
  border-radius: 1.5rem;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px; */
}

.about-title {
  color: var(--primary-color);
  margin-bottom: 1.5rem;
  font-size: 4rem;
  font-weight: 600;
}

.about-text {
  line-height: 1.5;
  color: var(--sub-color);
  font-size: 1.8rem;
  font-weight: 500;
}

.about-image {
  width: 40%;
  padding-left: 5rem;
}

.about-image img {
  width: 30vw;
}

.why {
  padding: 6rem 0;
}

.why-title {
  color: var(--primary-color);
}

.why-list {
  display: flex;
  align-items: stretch;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 5rem;
  margin-left: -1.5rem;
}

.why-item {
  width: calc(33.33% - 1.5rem);
  margin-left: 1.5rem;
  margin-bottom: 1.5rem;
  background-color: var(--second-color);
  border-radius: 0.5rem;
  transition: all 0.3s ease;
}

.why-item:hover {
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.why-item-body {
  padding: 2rem 1.5rem;
}

.why-image {
  width: 10rem;
  height: 10rem;
  margin: 0 auto 1rem;
}

.why-item-title {
  text-align: center;
  line-height: 1.2;
  font-weight: 600;
  color: var(--sub-color);
}

.service-list {
  display: flex;
  align-items: stretch;
  flex-wrap: wrap;
  margin-left: -1.5rem;
  margin-top: 5rem;
}

.service-slide .slick-slide {
  height: 35rem;
}

.service-item {
  width: calc(33.33% - 1.5rem);
  margin-left: 1.5rem;
  background-color: white;
  margin-bottom: 1.5rem;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.service-item__custom {
  cursor: pointer;
  transition: all 0.4s ease;
  width: calc(25% - 1.5rem);
  margin-left: 1.5rem;
  /* margin-bottom: 0; */
  border-radius: 1rem;
  box-shadow: none;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}

.service-item__custom:hover {
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.service-header {
  overflow: hidden;
  height: 25rem;
}

.service-image {
  transition: all ease 0.4s;
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.service-item__custom:hover .service-image {
  transform: scale(1.5);
}

.service-body {
  padding: 2rem 1.5rem;
  text-align: center;
}

.service-title {
  font-weight: 600;
  color: var(--sub-color);
}

.service-text {
  margin-top: 1rem;
  line-height: 1.3;
  font-size: 1.4rem;
}

.service-more {
  display: flex;
  justify-content: center;
  margin-top: auto;
  margin-bottom: 2rem;
  font-size: 1.3rem;
  align-items: center;
  color: var(--primary-color);
}

.service-icon {
  margin-left: 0.5rem;
}

.contact {
  padding: 6rem 0;
}

.contact-wrap {
  display: flex;
}

.contact-image {
  width: 40%;
  margin-right: 0.5rem;
}

.contact-image img {
  border-radius: 2rem;
  height: 100%;
  object-fit: cover;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.contact-body {
  text-align: center;
  width: 60%;
  margin-left: 0.5rem;
  background-color: #f9a11c5c;
  padding: 3rem 1.5rem;
  border-radius: 2rem;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.contact-title {
  font-size: 3.6rem;
  font-weight: 600;
  /* font-family: var(--second-font); */
  color: black;
  margin-bottom: 1.5rem;
}

.contact-icon {
  font-size: 3rem;
  color: var(--sub-color);
}

.contact-form {
  margin: 3rem auto 0;
  max-width: 896px;
}

.contact-wrap-input {
  display: flex;
  align-items: stretch;
}

.contact-input,
.contact-select,
.contact-area {
  padding: 1rem 1.5rem;
  width: 100%;
  margin-bottom: 1.5rem;
  outline: none;
  border: 1px solid #e2e2e2;
  border-radius: 0.3rem;
  font-size: 1.6rem;
}

.contact-select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background: url('./images/down-arrow.png') 98% / 5% no-repeat;
  color: black;
  background-color: white;
}

.contact-area {
  width: -webkit-fill-available;
}

.contact-custom {
  margin-right: 1.5rem;
}

.contact-button {
  background-color: var(--primary-color);
  color: white;
  border: none;
  border-radius: 6rem;
  width: 22rem;
  padding: 1.5rem 0;
  font-size: 1.8rem;
  margin-top: 2rem;
  font-weight: 600;
  transform-origin: 0 100%;
  animation: wobble-top 1.2s ease-in-out infinite;
  -webkit-animation: wobble-top 1.2s ease-in-out infinite;
}

/* .contact-button:hover {
  animation-name: wobble-top;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: 1;
} */

.btn {
  text-decoration: none;
  font-family: sans-serif;
  border: none;
  border-radius: 0.8rem;
  padding: 1.2rem 2.5rem;
  color: white;
  font-weight: 500;
  font-size: 2rem;
  display: inline-block;
  background-color: #ff2424;
  box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
  -webkit-animation: tada 1.1s linear infinite;
  animation: tada 1.1s linear infinite;
}

.images {
  background-color: var(--second-color);
  padding: 6rem 0;
}

.images-title {
  margin-bottom: 2rem;
  font-size: 3rem;
  color: var(--primary-color);
  text-align: center;
  text-transform: uppercase;
  font-family: var(--second-font);
  font-weight: 600;
  padding: 0 1.5rem;
}

.modal {
  position: fixed;
  display: none;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 4;
  cursor: pointer;
}

.modal-close {
  font-size: 3rem;
  position: fixed;
  top: 1.5rem;
  right: 2rem;
  z-index: 6;
  color: white;
}

.modal-body {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  text-align: center;
  padding: 0 1.5rem;
}

.modal-container {
  border: 0.4rem solid var(--text-color);
  padding: 4rem 2rem;
  border-radius: 2.5rem;
  background-color: var(--primary-color);
}

.modal-icon {
  font-size: 7rem;
  color: green;
  margin-bottom: 2rem;
}

.modal-icon-failed {
  color: #f44336;
}

.modal-text {
  font-weight: 500;
  font-size: 1.8rem;
  color: white;
}

.row {
  display: -ms-flexbox;
  display: flex;
  padding: 0 4px;
}

.column {
  -ms-flex: 25%;
  flex: 25%;
  width: 25%;
  padding: 0 4px;
}

.column img {
  margin-top: 8px;
  vertical-align: middle;
  width: 100%;
}

.popup-body {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.popup-container {
  background-color: white;
  max-width: 624px;
  padding: 3rem;
  border-radius: 1rem;
  color: black;
  max-height: 85%;
  overflow-y: scroll;
}

.popup-image {
  margin-bottom: 2rem;
  height: 35rem;
  width: 100%;
  object-fit: cover;
}

.popup-title {
  font-weight: 600;
  font-size: 1.8rem;
  text-align: center;
  margin-bottom: 1.5rem;
  line-height: 1.2;
}

.popup-italic,
.popup-text,
.popup-footer,
.popup-item {
  line-height: 1.4;
}

.popup-italic {
  font-style: italic;
  margin-bottom: 1.5rem;
}

.popup-text {
  margin-bottom: 1.5rem;
}

.popup-item {
  margin-bottom: 0.6rem;
}

.popup-text span,
.popup-item span {
  font-weight: 700;
}

.popup-footer {
  margin-top: 1.5rem;
}

/* .slide-images {
  display: none;
} */

.slide-images .slick-slide {
  height: 60rem;
}

.slick-slide img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.slick-initialized .slick-slide {
  display: flex;
}

.slick-arrow {
  background: transparent;
  border: none;
  font-size: 2.6rem;
  cursor: pointer;
  padding: 1rem;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  color: white;
}

.slick-prev {
  left: 0;
  z-index: 1;
}

.slick-prev__custom {
  margin-left: 1.5rem;
}

.slick-next {
  right: 0;
}

.contact-us-section {
  padding: 6rem 0;
  /* background-image: url('./images/hairdyer.svg');
  background-repeat: no-repeat;
  background-position: top left;
  background-size: 20% auto; */
}

.contact-us {
  display: flex;
  position: relative;
}

.contact-us-head {
  width: 25%;
  display: flex;
  position: relative;
}

.contact-us-wrap-body {
  display: flex;
  position: relative;
  width: 75%;
}

.contact-us-image {
  padding: 0% 0% 0% 10%;
  z-index: 5;
  margin-top: -5rem;
}

.contact-us-image img {
  width: 40vw;
  max-width: 51.5rem;
}

.contact-us-body {
  background-color: #f9a11c5c;
  padding: 5% 5% 5% 38%;
  border-top-right-radius: 1rem;
  border-bottom-right-radius: 1rem;
  display: flex;
  align-items: center;
}

.contact-us-title {
  font-size: 4rem;
  font-weight: 700;
  color: black;
  line-height: 1.2;
  margin-bottom: 2.5rem;
}

.contact-us-text {
  color: #002842;
  font-size: 1.4rem;
  line-height: 1.3;
  text-transform: uppercase;
  font-weight: 500;
  margin-bottom: 1.5rem;
}

.contact-us-btn {
  display: block;
  text-align: center;
  margin-top: 3rem;
}

.zalo-chat {
  position: fixed;
  bottom: 28px;
  right: 25px;
  z-index: 1000;
}

@media screen and (max-width: 800px) {
  /* .wrap-banner {
    height: 22rem;
  } */

  .row {
    display: none;
    flex-direction: column;
    padding: 0 0.6rem;
  }

  .column {
    width: 100%;
    padding: 0;
  }

  /* .slide-images {
    display: block;
  } */

  .intro-wrap {
    flex-direction: column;
  }

  .intro-image,
  .intro-body {
    width: 100%;
  }

  .intro-image {
    margin-bottom: 2rem;
  }

  .intro-image img {
    height: 36rem;
    width: 100%;
  }

  .intro-body {
    margin-left: 0;
  }

  .intro-text {
    line-height: 1.4;
  }

  .intro-title {
    font-size: 2.2rem;
    line-height: 1.2;
    text-align: center;
  }

  .about {
    padding: 3rem 0 0;
  }

  .about-wrap {
    flex-direction: column;
  }

  .about-body,
  .about-image {
    width: 100%;
  }

  .about-image {
    padding-left: 0;
    margin-top: 2rem;
  }

  .about-image img {
    margin: auto;
    width: 60%;
  }

  .about-title {
    font-size: 3rem;
  }

  .about-text {
    font-size: 1.4rem;
  }

  .why,
  .service,
  .contact,
  .images,
  .contact-us-section {
    padding: 3rem 0;
  }

  .why-item,
  .service-item {
    width: 100%;
  }

  .why-list {
    margin-top: 2rem;
  }

  .service-item {
    height: 10.2rem;
  }

  .service-item__custom {
    height: auto;
  }

  .service-list {
    margin-top: 2rem;
  }

  .contact-wrap {
    flex-direction: column-reverse;
  }

  .contact-image,
  .contact-body {
    width: auto;
  }

  .contact-image {
    margin-right: 0;
    margin-top: 3rem;
  }

  .contact-image img {
    height: 40rem;
    width: 100%;
  }

  .contact-body {
    margin-left: 0;
  }

  .contact-wrap-input {
    flex-direction: column;
  }

  .contact-custom {
    margin-right: 0;
  }

  .contact-input {
    width: inherit;
  }

  .contact-button {
    font-size: 1.6rem;
    padding: 1.2rem 0;
  }

  .images-title {
    font-size: 2rem;
    line-height: 1.2;
  }

  .popup-container {
    max-height: 70%;
    padding: 1.5rem;
    margin: auto 1rem;
  }

  .popup-image {
    height: 100%;
  }

  .slide-images .slick-slide {
    height: 40rem;
  }

  .contact-us {
    flex-direction: column;
  }

  .contact-us-head {
    width: 100%;
    display: block;
  }

  .contact-us-image {
    padding: 0;
    margin: 0;
  }

  .contact-us-image img {
    width: 65vw;
    max-width: 45rem;
    margin: auto;
  }

  .contact-us-wrap-body {
    width: 100%;
  }

  .contact-us-body {
    padding: 2rem 2rem 5rem 2rem;
    border-radius: 1rem;
  }
}

@-webkit-keyframes tada {
  0% {
    transform: scaleX(1);
  }
  10%,
  20% {
    transform: scale3d(0.9, 0.9, 0.9) rotate(-3deg);
  }
  30%,
  50%,
  70%,
  90% {
    transform: scale3d(1.1, 1.1, 1.1) rotate(3deg);
  }
  40%,
  60%,
  80% {
    transform: scale3d(1.1, 1.1, 1.1) rotate(-3deg);
  }
  to {
    transform: scaleX(1);
  }
}

@keyframes wobble-top {
  16.65% {
    transform: skew(-12deg);
  }

  33.3% {
    transform: skew(10deg);
  }

  49.95% {
    transform: skew(-6deg);
  }

  66.6% {
    transform: skew(4deg);
  }

  83.25% {
    transform: skew(-2deg);
  }

  100% {
    transform: skew(0);
  }
}
